# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft and contributors.  All rights reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from msrest.serialization import Model


class Sku(Model):
    """SKU details.

    :param family: SKU family name. Possible values include: 'A'
    :type family: str or :class:`SkuFamily <azure.keyvault.models.SkuFamily>`
    :param name: SKU name to specify whether the key vault is a standard
     vault or a premium vault. Possible values include: 'standard', 'premium'
    :type name: str or :class:`SkuName <azure.keyvault.models.SkuName>`
    """ 

    _validation = {
        'name': {'required': True},
    }

    _attribute_map = {
        'family': {'key': 'family', 'type': 'str'},
        'name': {'key': 'name', 'type': 'SkuName'},
    }

    def __init__(self, name, family=None):
        self.family = family
        self.name = name
